from llama_index.llms.openai import OpenAI
from llama_index.core.settings import Settings
Settings.llm = OpenAI(temperature=0.8, model="gpt-4")

from llama_index.core.schema import TextNode
from llama_index.core import SummaryIndex

nodes = [
  TextNode(text="Rodzinnym miastem Lionela Messi jest Rosario."),
  TextNode(text="Urodził się 27 czerwca 1987.")
]
index = SummaryIndex(nodes)
query_engine = index.as_query_engine()
response = query_engine.query(
    "Jak nazywa się rodzinne miasto Lionela Messi?"
)
print(response)